import request from '@/utils/request'

// 查询出货物流列表
export function listLogistics(query) {
  return request({
    url: '/track/logistics/list',
    method: 'get',
    params: query
  })
}

// 查询出货物流详细
export function getLogistics(id) {
  return request({
    url: '/track/logistics/' + id,
    method: 'get'
  })
}

// 新增出货物流
export function addLogistics(data) {
  return request({
    url: '/track/logistics',
    method: 'post',
    data: data
  })
}

// 修改出货物流
export function updateLogistics(data) {
  return request({
    url: '/track/logistics',
    method: 'put',
    data: data
  })
}

// 删除出货物流
export function delLogistics(id) {
  return request({
    url: '/track/logistics/' + id,
    method: 'delete'
  })
}

// 导出出货物流
export function exportLogistics(query) {
  return request({
    url: '/track/logistics/export',
    method: 'get',
    params: query
  })
}
